## digikam 4.14.0

=== extra/libkface/libkface/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

remove_definitions(-DQT_NO_STL)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake.in   ${CMAKE_CURRENT_BINARY_DIR}/version.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libopencv.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libopencv.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/database
                    ${CMAKE_CURRENT_SOURCE_DIR}/detection
                    ${CMAKE_CURRENT_SOURCE_DIR}/recognition-opencv-lbph
                    ${CMAKE_CURRENT_SOURCE_DIR}/alignment-congealing
#                    ${CMAKE_CURRENT_SOURCE_DIR}/alignment-flandmark
#                    ${CMAKE_CURRENT_SOURCE_DIR}/preprocessing-tantriggs
                   )

set(kface_LIB_SRCS facedetector.cpp
                   identity.cpp
                   dataproviders.cpp
                   recognitiondatabase.cpp
                   detection/opencvfacedetector.cpp
                   recognition-opencv-lbph/lbphfacemodel.cpp
                   recognition-opencv-lbph/opencvlbphfacerecognizer.cpp
                   recognition-opencv-lbph/facerec_borrowed.cpp
                   alignment-congealing/funnelreal.cpp
#                   alignment-flandmark/flandmarkaligner.cpp
#                   preprocessing-tantriggs/tantriggspreprocessor.cpp
   )

set(kface_database_LIB_SRCS database/databaseaccess.cpp
                            database/databasecorebackend.cpp
                            database/databaseparameters.cpp
                            database/dbactiontype.cpp
                            database/schemaupdater.cpp
                            database/databaseconfigelement.cpp
                            database/databaseoperationgroup.cpp
                            database/trainingdb.cpp
                            database/sqlquery.cpp
                            database/dbcontainers.cpp
   )

KDE4_ADD_LIBRARY(kface SHARED ${kface_LIB_SRCS} ${kface_database_LIB_SRCS})

target_link_libraries(kface ${KDE4_KDECORE_LIBS}
                            ${KDE4_KDEUI_LIBS}

                            ${QT_QTGUI_LIBRARY}
                            ${QT_QTXML_LIBRARY}
                            ${QT_QTSQL_LIBRARY}

                            ${OpenCV_LIBRARIES}
                      )

set_target_properties(kface PROPERTIES VERSION ${KFACE_LIB_SO_VERSION_STRING}
                            SOVERSION ${KFACE_LIB_SO_CUR_VERSION})

install(TARGETS kface EXPORT Kface ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/database/dbconfig.xml
        DESTINATION ${DATA_INSTALL_DIR}/libkface/database )

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if(DIGIKAMSC_COMPILE_LIBKFACE)

    install(FILES facedetector.h
                  recognitiondatabase.h
                  identity.h
                  dataproviders.h
                  libkface_export.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
            DESTINATION ${INCLUDE_INSTALL_DIR}/libkface COMPONENT Devel
           )

    if(NOT WIN32)
        configure_file(${CMAKE_SOURCE_DIR}/extra/libkface/cmake/templates/libkface.pc.cmake.in  ${CMAKE_CURRENT_BINARY_DIR}/libkface.pc)
        configure_file(${CMAKE_SOURCE_DIR}/extra/libkface/cmake/templates/libkface.lsm.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkface.lsm)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkface.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
    endif()

endif()

=== extra/libkgeomap/libkgeomap/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

include_directories(${MARBLE_INCLUDE_DIR})

include(CheckIncludeFile)
CHECK_INCLUDE_FILE("valgrind/valgrind.h" HAVE_VALGRIND)
if(${HAVE_VALGRIND})
    add_definitions(-DKGEOMAP_HAVE_VALGRIND)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

set(widget_sources
    abstractmarkertiler.cpp
    backend_map.cpp
    dragdrophandler.cpp
    geocoordinates.cpp
    html_widget.cpp
    itemmarkertiler.cpp
    kgeomap_widget.cpp
    kgeomap_common.cpp
    kgeomap_primitives.cpp
    lookup_altitude.cpp
    lookup_altitude_geonames.cpp
    lookup_factory.cpp
    modelhelper.cpp
    placeholderwidget.cpp
    tilegrouper.cpp
    tileindex.cpp
    tracks.cpp
    track_reader.cpp
   )

set(backend_map_marble_sources
    backend_map_marble.cpp
   )

if(${KDE_VERSION} VERSION_GREATER "4.4.66")
    add_definitions(-DKGEOMAP_MARBLE_ADD_LAYER)
    set(backend_map_marble_sources ${backend_map_marble_sources} backend_map_marble_layer.cpp)
else()
    set(backend_map_marble_sources ${backend_map_marble_sources} backend_map_marble_subwidget.cpp)
endif()

set(backend_map_googlemaps_sources
    backend_map_googlemaps.cpp
   )

set(backend_map_osm_sources
    #backend_map_osm.cpp
   )

KDE4_ADD_LIBRARY(kgeomap SHARED ${widget_sources} 
                             ${backend_map_marble_sources}
                             ${backend_map_googlemaps_sources}
                             ${backend_map_osm_sources}
                )

target_link_libraries(kgeomap ${QT_QTGUI_LIBRARY}
                           ${KDE4_KDECORE_LIBS}
                           ${KDE4_UI_LIBS}
                           ${KDE4_KPARTS_LIBS}
                           ${KDE4_KHTML_LIBS}
                           ${MARBLE_LIBRARIES}
                           )

set_target_properties(kgeomap PROPERTIES VERSION ${KGEOMAP_LIB_SO_VERSION_STRING}
                      SOVERSION ${KGEOMAP_LIB_SO_CUR_VERSION})

install(TARGETS kgeomap ${INSTALL_TARGETS_DEFAULT_ARGS})

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if(DIGIKAMSC_COMPILE_LIBKGEOMAP)

    install(FILES libkgeomap_export.h
                  abstractmarkertiler.h
                  dragdrophandler.h
                  geocoordinates.h
                  itemmarkertiler.h
                  kgeomap_primitives.h
                  kgeomap_widget.h
                  lookup_altitude.h
                  lookup_factory.h
                  modelhelper.h
                  tileindex.h
                  tracks.h
                  track_reader.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
            DESTINATION ${INCLUDE_INSTALL_DIR}/libkgeomap COMPONENT Devel
           )

    if(NOT WIN32)
        configure_file(${CMAKE_SOURCE_DIR}/extra/libkgeomap/cmake/templates/libkgeomap.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkgeomap.pc)
        configure_file(${CMAKE_SOURCE_DIR}/extra/libkgeomap/cmake/templates/libkgeomap.lsm.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkgeomap.lsm)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkgeomap.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
    endif()

    # Install find cmake script to the system for client applications.

    install(FILES ${CMAKE_SOURCE_DIR}/extra/libkgeomap/cmake/modules/FindKGeoMap.cmake
            DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

endif()

=== extra/libkvkontakte/libkvkontakte/CMakeLists.txt ===
set(libkvkontakte_SRCS
    authenticationdialog.cpp
    userinfojob.cpp
    userinfo.cpp
    friendlistjob.cpp
    photojob.cpp
    noteslistjob.cpp
    allnoteslistjob.cpp
    notejob.cpp
    getvariablejob.cpp
    userinfofulljob.cpp
    cidsnamesjob.cpp
    getinfojob.cpp
    messageinfo.cpp
    discussionslistjob.cpp
    messageslistjob.cpp
    noteinfo.cpp
    noteaddjob.cpp
    allmessageslistjob.cpp
    albumlistjob.cpp
    albuminfo.cpp
    createalbumjob.cpp
    editalbumjob.cpp
    deletealbumjob.cpp
    getphotouploadserverjob.cpp
    photopostjob.cpp
    savephotojob.cpp
    uploadphotosjob.cpp
    photoinfo.cpp
    photolistjob.cpp
    getapplicationpermissionsjob.cpp
    groupinfo.cpp
    grouplistjob.cpp

    qintlist.cpp
    util.cpp
    vkontaktejobs.cpp
    vkapi.cpp
)

kde4_add_library(kvkontakte SHARED ${libkvkontakte_SRCS})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

# Yes, QJSON_LIBRARIES and QJSON_LIBRARY are both needed, as otherwise it will break either
# on Linux or on Mac.
target_link_libraries(kvkontakte
    PRIVATE
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${QT_QTGUI_LIBRARY}
        ${QT_QTWEBKIT_LIBRARY}
        ${KDE4_KDEWEBKIT_LIBS}
        ${KDE4_KIO_LIBS}
        ${QJSON_LIBRARIES}
        ${QJSON_LIBRARY}
        ${qjson_LIBRARIES}
        ${KDEPIMLIBS_KABC_LIBS}
        ${KDEPIMLIBS_KPIMUTILS_LIBS}
        ${KDEPIMLIBS_KMIME_LIBS}
)

set_target_properties(kvkontakte PROPERTIES
    VERSION ${LIBKVKONTAKTE_VERSION}
    SOVERSION ${LIBKVKONTAKTE_SOVERSION}
)

install(TARGETS kvkontakte
    EXPORT LibKVkontakteExport
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

if (DIGIKAMSC_COMPILE_LIBKVKONTAKTE)

    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/version.h
        libkvkontakte_export.h
        albuminfo.h
        getapplicationpermissionsjob.h
        vkontaktejobs.h
        authenticationdialog.h
        albumlistjob.h
        qintlist.h
        createalbumjob.h
        editalbumjob.h
        uploadphotosjob.h
        photoinfo.h
        userinfo.h
        messageinfo.h
        noteinfo.h
        friendlistjob.h
        allnoteslistjob.h
        userinfofulljob.h
        userinfojob.h
        photojob.h
        noteslistjob.h
        notejob.h
        noteaddjob.h
        allmessageslistjob.h
        messageslistjob.h
        discussionslistjob.h
        getvariablejob.h
        deletealbumjob.h
        cidsnamesjob.h
        getinfojob.h
        photolistjob.h
        groupinfo.h
        grouplistjob.h
        apppermissions.h
        vkapi.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/libkvkontakte COMPONENT Devel)

endif()

=== extra/libmediawiki/libmediawiki/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

set(mediawiki_LIB_SRCS image.cpp
                       imageinfo.cpp
                       mediawiki.cpp
                       login.cpp
                       logout.cpp
                       queryimageinfo.cpp
                       queryimages.cpp
                       querysiteinfogeneral.cpp
                       generalinfo.cpp
                       querysiteinfousergroups.cpp
                       queryrevision.cpp
                       queryinfo.cpp
                       edit.cpp
                       job.cpp
                       usergroup.cpp
                       revision.cpp
                       page.cpp
                       parse.cpp
                       protection.cpp
                       upload.cpp
   )

KDE4_ADD_LIBRARY(mediawiki SHARED ${mediawiki_LIB_SRCS})

target_link_libraries(mediawiki
                      LINK_PRIVATE
                      ${KDE4_KIO_LIBS}
                      ${QT_QTCORE_LIBRARY}
                     )

set_target_properties(mediawiki PROPERTIES VERSION ${MEDIAWIKI_LIB_SO_VERSION_STRING}
                                SOVERSION ${MEDIAWIKI_LIB_SO_CUR_VERSION})

install(TARGETS mediawiki ${INSTALL_TARGETS_DEFAULT_ARGS})

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if(DIGIKAMSC_COMPILE_LIBMEDIAWIKI)

    install(FILES image.h
                  imageinfo.h
                  mediawiki.h
                  login.h
                  logout.h
                  queryimageinfo.h
                  queryimages.h
                  querysiteinfogeneral.h
                  generalinfo.h
                  querysiteinfousergroups.h
                  queryrevision.h
                  queryinfo.h
                  edit.h
                  job.h
                  usergroup.h
                  revision.h
                  page.h
                  parse.h
                  protection.h
                  upload.h
                  mediawiki_export.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/libmediawiki COMPONENT Devel)

    if(NOT WIN32)
        configure_file(${CMAKE_SOURCE_DIR}/extra/libmediawiki/cmake/templates/libmediawiki.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libmediawiki.pc)
        configure_file(${CMAKE_SOURCE_DIR}/extra/libmediawiki/cmake/templates/libmediawiki.lsm.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libmediawiki.lsm)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmediawiki.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
    endif()

    # Install find cmake script to the system for client applications.

    install(FILES ${CMAKE_SOURCE_DIR}/extra/libmediawiki/cmake/modules/FindMediawiki.cmake
            DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

endif()

=== debian/changelog ===
digikam (4:4.14.0-4ubuntu6) yakkety; urgency=medium

  * digikam-data breaks/replaces libkface-data << 4:15.12~ 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 11 Aug 2016 22:04:17 +0000

digikam (4:4.14.0-4ubuntu5) yakkety; urgency=medium

  * Rebuild against libopencv-highgui2.4-deb0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Jun 2016 21:42:57 +0200

digikam (4:4.14.0-4ubuntu4) yakkety; urgency=medium

  * Drop Ubuntu changes, merge with Debian; remaining changes:
    - Remove reference to build-dep on libusb2-dev which seems to confuse
      soyuz
    - mysql-server-core does not exist; it is virtual-mysql-server-core.
      So fix that so the Build-Depends alternative will work, and while
      we're there also switch from 5.6 to 5.7 since 5.6 will cease to
      exist in Xenial soon.
    - Don't build with openGL on armhf as it's not available there.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 14:09:33 +0200

digikam (4:4.14.0-4) unstable; urgency=medium

  * Switch build-dep from libusb-dev to libusb-1.0-0-dev.
    Closes: #810406.

  * Update mysql dependency to use virtual-mysql-server-core.  Closes:
    #815746.

  [ Pino Toscano ]
  * Backport upstream commit 0f159981176faa6da701f112bfe557b79804d468 to fix
    build with lensfun >= 0.3.2; patch
    upstream_fix-compilation-with-Lensfun-0.3.2.patch.
  * Drop menu files and their pixmaps, since digikam and showfoto already
    provide .desktop files.

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Mar 2016 01:25:54 -0500

digikam (4:4.14.0-3) unstable; urgency=medium

  * Fix override_dh_install rule so it functions for binary-indep.
  * patches/doc-linkage.patch: New. Fix links in user manual.  Closes: #749684.

 -- Steve M. Robbins <smr@debian.org>  Mon, 04 Jan 2016 22:30:41 -0600

digikam (4:4.14.0-2) unstable; urgency=medium

  * Restore kface support:
    - Add libkface 15.08.3 sources as digikam_4.14.0.orig-libkface15083.tar.xz
    - Create symlink extra/libkface; build using DIGIKAMSC_COMPILE_LIBKFACE=ON

  * patches/mysql-global-conf.patch: New.  Change mysql option table_cache
    to table_open_cache.  Closes: #808729.

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2016 17:47:55 -0600

digikam (4:4.14.0-1) unstable; urgency=medium

  * New upstream release 4.14.0.  (Closes: #777110, #795956)
    - fixes build/install failures (Closes: #807564, #802966, #799546, #800362)
    - currently missing support for features whose library has been split
      out of previous digikam source releases; e.g. libkface, libkgeomap,
      and some others.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 20 Dec 2015 11:35:18 -0600

digikam (4:4.12.0-1~) UNRELEASED; urgency=medium

  [ Mark Purcell ]
  * New upstream release
    - Fixes "new upstream release 4.7.0" (Closes: #777110)
  * Ack NMU - Thanks jmv

  [ Maximiliano Curia ]
  * New upstream release (4.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 05 Aug 2015 15:48:48 +0200

digikam (4:4.12.0-0ubuntu9) yakkety; urgency=medium

  * No-change rebuild for lensfun soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 12:57:42 +0000

digikam (4:4.12.0-0ubuntu8) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:02:31 +0000

=== debian/control ===
Source: digikam
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>, Pino Toscano <pino@debian.org>, Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.9), pkg-config, cmake (>= 2.8.0),
 doxygen,
 kdelibs5-dev, kdepimlibs5-dev,
 libmarble-dev,
 libkipi-dev (>= 4:4.12), libkexiv2-dev (>= 4:4.12), libkdcraw-dev (>= 4:4.12), libksane-dev,
 baloo-dev, libkfilemetadata-dev,
 libqt4-dev, libqt4-opengl-dev [!armhf], libgl1-mesa-dev [!armhf], libglu1-mesa-dev [!armhf],
 libqtwebkit-dev, libqtgstreamer-dev,
 libmagickcore-dev, imagemagick,
 libhupnp-dev,
 libgtk2.0-dev,
 libxslt1-dev | libxslt-dev, libxml2-dev,
 libgpod-nogtk-dev,
 libqca2-dev,
 libqjson-dev,
 libpng-dev, libtiff-dev, libjpeg-dev,
 mysql-server-core-5.7 | virtual-mysql-server-core,
 libglib2.0-dev, libgphoto2-dev (>= 2.4),
 libusb-1.0-0-dev [!kfreebsd-any],
 liblcms2-dev, liblqr-1-0-dev,
 libopencv-dev (>= 2.4.9),
 libjasper-dev,
 liblensfun-dev (>= 0.2.7),
 libsqlite3-dev,
 libsqlite0-dev,
 libpgf-dev,
 flex, bison, libeigen3-dev (>= 3.1.2),
 libboost-graph-dev,
 libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev
#
# Missing optional build-deps:
#   libkgeomap -- not packaged (2015-12-19)
#   libmediawiki
#   libkvkontatke
#
Build-Conflicts: libgraphicsmagick1-dev
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/digikam/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/
Homepage: http://www.digikam.org

Package: digikam-private-libs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: private libraries for digiKam and kipi plugins
 This package contains private libraries to be used by digikam and
 kipi-plugins.
 .
 This has no use for anything else than digikam, since the libraries are
 installed in a private library path.

Package: digikam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, digikam-private-libs (= ${binary:Version}), libqt4-sql-sqlite, digikam-data (= ${source:Version})
Recommends: www-browser, kipi-plugins, ffmpegthumbs | mplayerthumbs
Suggests: digikam-doc, systemsettings
Conflicts: ${digikam:Conflicts}
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 It provides a simple interface which makes importing and organizing digital
 photographs a "snap". digiKam enables you to manage large numbers of
 digital photographs in albums and to organize these photographs for easy
 retrieval using tags (keywords), captions, collections, dates, geolocation
 and searches. It has many features for viewing, organizing, processing and
 sharing your images. Thus, digiKam is a formidable digital asset management
 (DAM) software including powerful image editing functions. 
 .
 An easy-to-use camera interface is provided, that will connect to your
 digital camera and download photographs directly into digiKam albums.
 More than 1000 digital cameras are supported by the gphoto2 library.
 Of course, any media or card reader supported by your operating system
 will interface with digiKam. 
 .
 digiKam incorporates a fast Image Editor with many image editing tools.
 You can use the Image Editor to view your photographs, comment and rate
 them, correct, enhance and alter them. The editing power can be easily
 extended by a set of plugins, the KDE Image Plugins Interface (manual) 
 .
 While digiKam remains easy to use, it provides professional level features
 by the dozens. It is fully 16 bit enabled including all available plugins,
 supports RAW format conversion through libraw, DNG export and ICC color
 management work flow. 
 .
 New Features of the KDE4 version:
  Runs on any platform that supports Qt4 and KDE4
  Supports XMP metadata
  Reads, writes and converts into DNG format
  New RAW processing tool, gamma-correction in 16 bits
  Preview of video and audio files
  Database file is independent of photo libraries, enabling remote paths,
   multiple roots and offline archives
  Improved database with many more metadata that can be searched
  Marble integration, geographical filtering with the mouse on the map
  New search finds duplicates and similar images
  Help menu lists all RAW formats and digiKam component versions
  DNG, RWL, NEF and PEF RAW file can be metadata edited
  Usability improvements for netbooks
  Non-modal image editor
  Thumbnail bar in preview mode
  Live search boxes in both sidebars and main window
  New camera interface, capture tool, scanner interface
  New plugin based on lensfun for automatic lens error corrections
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extensions.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam-private-libs (= ${binary:Version})
Recommends: dolphin, kipi-plugins
Breaks: digikam-doc (<< 2:2.0.0-1), kipi-plugins-common (<< 4:3.1.0-2~)
Replaces: digikam-doc (<< 2:2.0.0-1), kipi-plugins-common (<< 4:3.1.0-2~)
Description: image viewer/editor for KDE
 showFoto is the standalone image editor of the digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-data
Architecture: all
Depends: ${misc:Depends}, opencv-data
Breaks: kipi-plugins-common (<< 4:3.1.0-2~), libkface-data (<< 4:15.12~)
Replaces: kipi-plugins-common (<< 4:3.1.0-2~), libkface-data (<< 4:15.12~)
Conflicts: ${digikam:Conflicts}
Description: digiKam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digiKam.
 .
 It has been placed in an architecture all file to reduce space on the
 archives, rather than one copy for each architecture.

Package: digikam-doc
Architecture: all
Depends: ${misc:Depends}, khelpcenter4
Recommends: digikam
Section: doc
Description: handbook for digiKam 
 digiKam is an easy to use and powerful digital photo management
 application.
 .
 This package contains the handbooks for digiKam and kipi-plugins.

Package: kipi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kipi-plugins-common (= ${source:Version}),
 digikam-private-libs (= ${binary:Version})
Breaks: digikam (<< 4:2.3.0-2~), kipi-plugins-common (<< 4:3.1.0-2~)
Replaces: digikam (<< 4:2.3.0-2~), kipi-plugins-common (<< 4:3.1.0-2~)
Recommends: konqueror, imagemagick, hugin, enblend, enfuse, minidlna
Suggests: gimp, kmail, vorbis-tools
Enhances: digikam, gwenview, kphotoalbum, showimg
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 Current plugins ported to Qt4/KDE4:
 .
  AcquireImages      : acquire images using flat scanner
  Calendar           : create calendars
  DngConverter       : convert Raw Image to Digital NeGative
  Facebook           : import/export images to/from a remote Facebook
  FlickrExport       : export images to a remote Flickr based web service
  GalleryExport      : export images to a remote Gallery (and Gallery 2)
  GPSSync            : geolocalize pictures
  HTMLExport         : export images collections into a static XHTML page
  ImageViewer        : preview images using OpenGL
  JpegLossLess       : rotate/flip images without losing quality
  MetadataEdit       : edit EXIF, IPTC and XMP metadata
  PicasaWebExport    : export images to a remote Picasa web service
  PrintImage         : print images in various format
  RawConverter       : convert Raw Image to JPEG/PNG/TIFF
  RemoveRedEyes      : remove red eyes on image automatically
  SendImages         : send images by e-mail
  SimpleViewerExport : export images to Flash using SimpleViewer
  SlideShow          : Slide images with 2D and 3D effects using OpenGL
  Smug               : import/export images to/from a remote SmugMug
  TimeAdjust         : adjust date and time
  IpodExport         : export pictures to an Ipod device
  BatchProcess       : batch process images (convert, resize, rename, etc.)
  KIOExport          : export images to remote computer using network protocol
  Shwup              : export images to Shwup web service
  ExpoBlending       : create pseudo HDR image with a stack of bracketed images
  PiwigoExport       : export images to a remote Piwigo 
  DebianScreenshots  : export images to Debian Screenshots web service
  Kopete             : export images to an instant messaging contact
  YandexFotki        : export images to Yandex web service
  MediaWiki          : export images to Mediawiki based web service
  RajceExport        : export images to Rajce web service
  Vkontakte          : export images to VKontakte web service
  PhotoLayoutEditor  : assemble images together
  ImageShackExport   : export images to ImageShack web service
  ImgurExport        : export images to ImgUr web service
  DLNAExport         : export collection on DLNA network service 
 .
 Porting under progress to Qt4/KDE4:
 .
  WallPaper          : set image as background on your desktop
 .
 Not yet ported to Qt4/KDE4:
 .
  CDArchiving        : archive your image collections to a CD or DVD
  MpegEncoder        : create an MPEG slideshow with a set of images

Package: kipi-plugins-common
Architecture: all
Depends: ${misc:Depends}
Breaks: digikam (<< 4:2.3.0-2~), digikam-data (<< 4:3.1.0-2~)
Replaces: digikam (<< 4:2.3.0-2~), digikam-data (<< 4:3.1.0-2~)
Conflicts: ${digikam:Conflicts}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

=== debian/rules ===
#!/usr/bin/make -f

PRIVATE_LIBDIR := /usr/lib/digikam
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# The following was previously used when building with local libkipi, libkexiv2, and libkdcraw implementation
#CONFLICTS_SUBSTVAR := libkipi-data, libkexiv2-data, libkdcraw-data, libksane-data


%:
	dh $@ --with kde --parallel 

override_dh_auto_configure:
	ln -s -n -f ../libkface15083 extra/libkface
	dh_auto_configure --buildsystem=kde -- \
	  -DCMAKE_INSTALL_RPATH="$(PRIVATE_LIBDIR)" \
	  -DDIGIKAMSC_COMPILE_DOC=on \
	  -DDIGIKAMSC_COMPILE_PO=on \
	  -DDIGIKAMSC_COMPILE_LIBKFACE=ON \
	  -DENABLE_LCMS2=ON \
	  -DKDE4_BUILD_TESTS=OFF \
	  -DENABLE_MYSQLSUPPORT=ON \
	  -DENABLE_INTERNALMYSQL=ON

override_dh_auto_install:
	dh_auto_install
	# remove development stuff: headers, cmake config files, pkg-config files, .so symlinks, static libs
	rm -rf --verbose debian/tmp/usr/include
	rm -rf --verbose debian/tmp/usr/share/kde4/apps/cmake
	rm -rf --verbose debian/tmp/usr/lib/cmake
	rm -rf --verbose debian/tmp/usr/lib/pkgconfig
	find debian/tmp/usr/lib -type l -name '*.so' -exec rm --verbose {} \;
	# remove potentially conflicting oxygen icons in global icon theme
	rm -rf --verbose debian/tmp/usr/share/icons/oxygen
	# remove libkipi translations, provided by kde-l10n-*
	rm -rf --verbose debian/tmp/usr/share/locale/*/LC_MESSAGES/libkipi.mo
	# remove haar cascades, the versions in opencv-data will be used instead
	rm -rf --verbose debian/tmp/usr/share/kde4/apps/libkface/haarcascades

override_dh_installchangelogs:
	dh_installchangelogs -pdigikam core/ChangeLog
	dh_installchangelogs -pkipi-plugins extra/kipi-plugins/ChangeLog
	dh_installchangelogs --remaining-packages

override_dh_install:
	dh_install --fail-missing
	# remove duplicate libkipiplugins copied also in digikam-private-libs
	rm -f --verbose debian/digikam-private-libs/$(PRIVATE_LIBDIR)/libkipiplugins.so.*

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/digikam-private-libs/$(PRIVATE_LIBDIR):$(CURDIR)/debian/kipi-plugins/$(PRIVATE_LIBDIR)

override_dh_gencontrol:
	dh_gencontrol -- -Vdigikam:Conflicts='$(CONFLICTS_SUBSTVAR)'

# auto tests require user interaction - override
override_dh_auto_test:

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/  \
 http://download.kde.org/stable/digikam/digikam-(.*).tar.bz2 debian svn-upgrade

#opts=uversionmangle=s/-/~/  \
# http://download.kde.org/unstable/digikam/digikam-(.*).tar.bz2 debian svn-upgrade
